## ros-melodic-rosserial-client 0.8.0

=== debian/changelog ===
ros-melodic-rosserial-client (0.8.0-0bionic) bionic; urgency=high

  * Add an empty newline to the generated headers. (#389 <https://github.com/ros-drivers/rosserial/issues/389>)
  * Add support for boolean parameters (#355 <https://github.com/ros-drivers/rosserial/issues/355>)
  * Contributors: Miklós Márton, Pikrass

 -- Paul Bouchier <paul.bouchier@gmail.com>  Thu, 11 Oct 2018 04:00:00 -0000

ros-melodic-rosserial-client (0.7.7-0bionic) bionic; urgency=high

  * Add overall spin timeout to rosserial read. (#334 <https://github.com/ros-drivers/rosserial/issues/334>)
  * Fixing formatting on files. (#333 <https://github.com/ros-drivers/rosserial/issues/333>)
  * Fix catkin lint errors (#296 <https://github.com/ros-drivers/rosserial/issues/296>)
  * fix spinOnce timeout : 5ms -> 5s (#326 <https://github.com/ros-drivers/rosserial/issues/326>)
  * [Client] Fix a warning in comparison. (#323 <https://github.com/ros-drivers/rosserial/issues/323>)
  * Use const in ros namespace instead of #define for constants. Fix #283 <https://github.com/ros-drivers/rosserial/issues/283> (#318 <https://github.com/ros-drivers/rosserial/issues/318>)
  * Fix CMP0046 warnings in catkin-built firmwares (#320 <https://github.com/ros-drivers/rosserial/issues/320>)
  * Prevent time variable overflow leading to parameter timeout error (#293 <https://github.com/ros-drivers/rosserial/issues/293>)
  * Add class member method callback support for Service Server. (#282 <https://github.com/ros-drivers/rosserial/issues/282>)
  * Added capability to specify timeout in getParam methods (#278 <https://github.com/ros-drivers/rosserial/issues/278>)
  * Contributors: 1r0b1n0, Alessandro Francescon, Bei Chen Liu, David Portugal, Dmitry Kargin, Mike O'Driscoll, Mike Purvis, Romain Reignier

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 29 Nov 2017 05:00:00 -0000

ros-melodic-rosserial-client (0.7.6-0bionic) bionic; urgency=high

  * Fixing message has no attribute _md5sum (#257 <https://github.com/ros-drivers/rosserial/issues/257>)
  * Contributors: Mike O'Driscoll

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 01 Mar 2017 05:00:00 -0000

ros-melodic-rosserial-client (0.7.5-0bionic) bionic; urgency=high

  * rosserial client variable typedefs (#254 <https://github.com/ros-drivers/rosserial/issues/254>)
    * Add typedefs to generated messages
    This brings rosserial message headers in line with
    roscpp headers that provide a typedef for the message
    variable member.
    * Removing unused imports and variables.
  * Added functions for endian-agnostic memory copying (#240 <https://github.com/ros-drivers/rosserial/issues/240>)
  * Contributors: Mike O'Driscoll, ivan

 -- Paul Bouchier <paul.bouchier@gmail.com>  Tue, 22 Nov 2016 05:00:00 -0000

ros-melodic-rosserial-client (0.7.4-0bionic) bionic; urgency=high

  * Integration tests for rosserial (#243 <https://github.com/ros-drivers/rosserial/issues/243>)
  * Support member functions as subscriber callbacks.
  * Contributors: Mike O'Driscoll, Mike Purvis

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 21 Sep 2016 04:00:00 -0000

ros-melodic-rosserial-client (0.7.3-0bionic) bionic; urgency=high

  * Order packages by alpha rather than topologically. (#234 <https://github.com/ros-drivers/rosserial/issues/234>)
  * Contributors: Mike Purvis

 -- Paul Bouchier <paul.bouchier@gmail.com>  Fri, 05 Aug 2016 04:00:00 -0000

ros-melodic-rosserial-client (0.7.2-0bionic) bionic; urgency=high

  * Add ros.h include to transform_broadcaster
  * Add environment variable for arduino location
  * Supported 32bit array lengths in python make_libraries script
  * Contributors: Alan Meekins, David Lavoie-Boutin

 -- Paul Bouchier <paul.bouchier@gmail.com>  Fri, 15 Jul 2016 04:00:00 -0000

ros-melodic-rosserial-client (0.7.1-0bionic) bionic; urgency=high

  * Provide option to pass through CMake arguments in the CMAKE_COMMAND
    invocation. The use-case is primarily specifying additional paths to
    modules, for separately-packaged libraries.
  * Contributors: Mike Purvis

 -- Paul Bouchier <paul.bouchier@gmail.com>  Mon, 06 Jul 2015 04:00:00 -0000

ros-melodic-rosserial-client (0.7.0-0bionic) bionic; urgency=high

  * Initial release for Jade.
  * Make message generating error message more verbose.
  * Fix initializer for fixed-length arrays.
  * Generate constructors for messages.
  * Switch to stdint integers. This allows the client to run on 64-bit systems.
  * Contributors: Mickaël, Mike Purvis, Mitchell Wills, chuck-h

 -- Paul Bouchier <paul.bouchier@gmail.com>  Thu, 23 Apr 2015 04:00:00 -0000

ros-melodic-rosserial-client (0.6.3-0bionic) bionic; urgency=high

  * Move avr serialization logic to Msg class, add gtest to exercise it.
  * Fixed the deserialization of avr64bit in order to support negative numbers.
  * Contributors: Martin Gerdzhev, Mike Purvis

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 05 Nov 2014 05:00:00 -0000

ros-melodic-rosserial-client (0.6.2-0bionic) bionic; urgency=high

  * Generic CMake helpers for ros_lib generation and in-package firmwares.
  * Fix output of make_library when package has only messages
  * Added time out to the state machine
  * Contributors: Jason Scatena, Michael Ferguson, Mike Purvis

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 10 Sep 2014 04:00:00 -0000

ros-melodic-rosserial-client (0.6.1-0bionic) bionic; urgency=high

  * Remove ID_TX_STOP define
  * Fix ID_TX_STOP in the client lib.
  * Contributors: Mike Purvis

 -- Paul Bouchier <paul.bouchier@gmail.com>  Mon, 30 Jun 2014 04:00:00 -0000

ros-melodic-rosserial-client (0.6.0-0bionic) bionic; urgency=high

  * Remove include of ros.h from time.cpp
  * No xx_val pointers for fixed-length arrays of messages.
  * Use const char* instead of char* for strings in messages.
  * Contributors: Mike Purvis

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 11 Jun 2014 04:00:00 -0000

ros-melodic-rosserial-client (0.5.6-0bionic) bionic; urgency=high


