=== debian/control ===
Source: ros-melodic-rosserial-client
Section: misc
Priority: extra
Maintainer: Paul Bouchier <paul.bouchier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-rosserial-msgs, ros-melodic-rosunit
Homepage: http://ros.org/wiki/rosserial_client
Standards-Version: 3.9.2

Package: ros-melodic-rosserial-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-rosbash, ros-melodic-rospy, ros-melodic-rosserial-msgs, ros-melodic-std-msgs, ros-melodic-tf
Description: Generalized client side source for rosserial.
